AWS AZ
action AZ:ASG

# recover_az

Rolls back the ASGs that were affected by the fail_az action

Run it now
View details

Type | action
Module | azchaosaws.asg.actions
Name | recover_az
Return | bool

This function rolls back the ASGs that were affected by the fail_az action to their previous state. This function is dependent on the state data generated from fail_az.

Usage

JSON

    {
      "name": "recover_az",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "azchaosaws.asg.actions",
        "func": "recover_az"
      }
    }

YAML

    name: recover_az
    provider:
      func: recover_az
      module: azchaosaws.asg.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---

Signature

    def recover_az(
        state_path: str = "fail_az.{}.json".format(__package__.split(".", 1)[1]),
        configuration: Configuration = None,
    ) -> bool:
        pass

## Related starters

- WireMock
  utils Wiremock

  ## `get_wm_params`

  Calculate WireMock parameters
- Gandi
  probe Domains

  ## `list_nameservers`

  List nameservers set for this domain and return them as a list of strings
- reliability
  probe tls

  ## `verify_certificate`

  Performs a range of checks on the certificate of a remote endpoint